This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1299211 - [Docs][SHE] Hosted Engine setup on 3.6 beta shouldn't include RHEL6 Section
[Docs][SHE] Hosted Engine setup on 3.6 beta shouldn't include RHEL6 Section
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.6.2
Unspecified Unspecified
unspecified Severity unspecified
: ovirt-3.6.3
: ---
Assigned To: Dayle Parker
Tahlia Richardson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-17 07:29 EST by Eyal Edri
Modified: 2016-03-09 19:48 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 19:48:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eyal Edri 2016-01-17 07:29:26 EST
Description of problem:
Looking at 3.6 beta docs [1], there is a section for installing hosted engine on RHEL 6 although the only supported hypervisor is RHEL7.

<snip>
Red Hat Enterprise Linux 6:
IMPORTANT
For Red Hat Enterprise Linux 6, the ovirt-hosted-engine-setup package is provided by the rhel-6-server-rhevm-3-beta-rpms repository. If you only have one Red Hat Enterprise Virtualization entitlement, you will need to attach the entitlement to the host first. After you have downloaded the ovirt-hosted-engine-setup package, remove the subscription so you can reattach it to the virtual machine to be used as the Manager. See https://access.redhat.com/documentation/en-US/Red_Hat_Subscription_Management/1/html/RHSM/sub-cli.html for more information on how to remove a single product subscription.
# subscription-manager repos --enable=rhel-6-server-rpms
# subscription-manager repos --enable=rhel-6-server-optional-rpms
# subscription-manager repos --enable=rhel-6-server-supplementary-rpms	
# subscription-manager repos --enable=rhel-6-server-rhev-mgmt-agent-beta-rpms
# subscription-manager repos --enable=rhel-6-server-rhevm-3-beta-rpms

</snip>




[1] https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6-Beta/html/Self-Hosted_Engine_Guide/chap-Deploying_Self-Hosted_Engine_on_a_Red_Hat_Enterprise_Linux_Host.html#Subscribing_to_the_Required_Entitlements


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. open documentation link
2. see RHEL6 reference for HE
3.

Actual results:
showing RHEL6 docs for HE

Expected results:
show only RHEL7 docs

Additional info:
Comment 1 Lucy Bopf 2016-02-15 23:05:50 EST
Assigning to Dayle for review.

Dayle, we need to check for and remove any content that mentions installing self-hosted engine on RHEL 6.
Comment 2 Dayle Parker 2016-02-17 21:29:17 EST
After searching the guide, I found 2 references to installing self-hosted engine on RHEL6. These have been removed and only the RHEL7 instructions remain.

There are references to RHEL6 still in the guide, but only relating to data warehouse machines and the HostedEngine-VM virtual machines, which seem to be relevant still. If I should also look at and/or remove these, please let me know. 

There is also a note in "5.2. Upgrading a RHEL-Based Self-Hosted Engine" mentioning it's not currently possible to migrate a SHE environment to 3.6 if it's running on RHEL6 -- this is still correct and being tracked in another BZ.
Comment 5 Dayle Parker 2016-03-09 19:48:28 EST
This updated has been published in the 3.6 Self-Hosted Engine Guide:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6/html/Self-Hosted_Engine_Guide/index.html

Note You need to log in before you can comment on or make changes to this bug.